var mraa = require('mraa');
var server = require('http').createServer();
var io = require('socket.io').listen(server);

var port = 1234;

var MV1 = new mraa.Gpio(8); //J17-pin 9 and J19-pin 3 (GND) --> Gpio(8)
var MV2 = new mraa.Gpio(7); //J17-pin 8 and J19-pin 3 (GND) --> Gpio(7)
var MV3 = new mraa.Gpio(6); //J17-pin 7 and J19-pin 3 (GND) --> Gpio(6)
var MV4 = new mraa.Gpio(4); //J17-pin 5 and J19-pin 3 (GND) --> Gpio(4)

MV1.dir(mraa.DIR_OUT);
MV2.dir(mraa.DIR_OUT);
MV3.dir(mraa.DIR_OUT);
MV4.dir(mraa.DIR_OUT);



io.on('connection', function(socket) {
    console.log("A client is connected!");

    socket.on('bt_left', function() {
        MV1.write(1);
        sleep(5000);
        MV1.write(0);
        
        
    });
    
    socket.on('bt_right', function() {
        MV2.write(1);
        sleep(1000);
        MV2.write(0);
    });
    
    socket.on('bt_stop', function() {
        MV3.write(1);
        sleep(1000);
        MV3.write(0);
    });
    
   
});

server.listen(port, function() {
    console.log("Server listening on port " + port);
});

function sleep(milliseconds) {
  var start = new Date().getTime();
  for (var i = 0; i < 1e7; i++) {
    if ((new Date().getTime() - start) > milliseconds){
      break;
    }
  }
}